upgrade to docker.io 18.09.5, containerd 1.2.6, runc 029124da

Bug #1824461 reported by Michael Hudson-Doyle on 2019-04-12
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
containerd (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
docker.io (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
runc (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned

Bug Description

We should upgrade to docker.io 18.09.5 in xenial+, this now means updating containerd and runc.

[test case]
autopkgtests per https://wiki.ubuntu.com/DockerUpdates

[regression potential]
As per usual, we don't mind if the updated packages regress in some sense, that's all part of the "upstream experience" we provide for docker et al.

Changed in docker.io (Ubuntu):
status: New → Fix Committed
status: Fix Committed → Fix Released
Changed in containerd (Ubuntu):
status: New → Fix Released
Changed in runc (Ubuntu):
status: New → Fix Released

Hello Michael, or anyone else affected,

Accepted runc into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/runc/1.0.0~rc7+git20190403.029124da-0ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in runc (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-bionic
Steve Langasek (vorlon) wrote :

Hello Michael, or anyone else affected,

Accepted runc into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/runc/1.0.0~rc7+git20190403.029124da-0ubuntu1~18.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in runc (Ubuntu Cosmic):
status: New → Fix Committed
tags: added: verification-needed-cosmic
Steve Langasek (vorlon) wrote :

Hello Michael, or anyone else affected,

Accepted runc into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/runc/1.0.0~rc7+git20190403.029124da-0ubuntu1~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in runc (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed-xenial
Steve Langasek (vorlon) wrote :

Hello Michael, or anyone else affected,

Accepted containerd into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/containerd/1.2.6-0ubuntu1~18.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in containerd (Ubuntu Cosmic):
status: New → Fix Committed
Steve Langasek (vorlon) wrote :

Hello Michael, or anyone else affected,

Accepted containerd into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/containerd/1.2.6-0ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in containerd (Ubuntu Bionic):
status: New → Fix Committed
Steve Langasek (vorlon) wrote :

Hello Michael, or anyone else affected,

Accepted containerd into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/containerd/1.2.6-0ubuntu1~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in containerd (Ubuntu Xenial):
status: New → Fix Committed
Steve Langasek (vorlon) wrote :

Hello Michael, or anyone else affected,

Accepted docker.io into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/docker.io/18.09.5-0ubuntu1~18.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in docker.io (Ubuntu Cosmic):
status: New → Fix Committed
Changed in docker.io (Ubuntu Bionic):
status: New → Fix Committed
Steve Langasek (vorlon) wrote :

Hello Michael, or anyone else affected,

Accepted docker.io into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/docker.io/18.09.5-0ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Steve Langasek (vorlon) wrote :

Hello Michael, or anyone else affected,

Accepted docker.io into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/docker.io/18.09.5-0ubuntu1~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in docker.io (Ubuntu Xenial):
status: New → Fix Committed
Steve Langasek (vorlon) wrote :

Hello Michael, or anyone else affected,

Accepted docker.io into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/docker.io/18.09.5-0ubuntu1~18.10.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Steve Langasek (vorlon) wrote :

Hello Michael, or anyone else affected,

Accepted docker.io into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/docker.io/18.09.5-0ubuntu1~18.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Steve Langasek (vorlon) wrote :

Hello Michael, or anyone else affected,

Accepted docker.io into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/docker.io/18.09.5-0ubuntu1~16.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

The runc currently in xenial is too old for the new version of containerd, so I need to upload containerd with a more appropriate dependency.

tags: added: verification-failed-xenial
removed: verification-needed-xenial
Changed in containerd (Ubuntu Xenial):
status: Fix Committed → Triaged
Chris Halse Rogers (raof) wrote :

Hello Michael, or anyone else affected,

Accepted containerd into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/containerd/1.2.6-0ubuntu1~16.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in containerd (Ubuntu Xenial):
status: Triaged → Fix Committed
tags: added: verification-needed-xenial
removed: verification-failed-xenial
Steve Langasek (vorlon) wrote :

Hello Michael, or anyone else affected,

Accepted runc into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/runc/1.0.0~rc7+git20190403.029124da-0ubuntu1~16.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Verification done on bionic and cosmic; xenial needs another fix for runc which is currently in UNAPPROVED.

There are autopkgtest failures for ubuntu-fan on bionic but these are only because of systemd messages on stderr that are ignored in cosmic and up.

tags: added: verification-done-cosmic
removed: verification-needed-cosmic
tags: added: verification-done-bionic
removed: verification-needed-bionic

An upload of runc to xenial-proposed has been rejected from the upload queue for the following reason: "debian/runc.{templates,preinst} in source package when they shouldn't be".

Hello Michael, or anyone else affected,

Accepted runc into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/runc/1.0.0~rc7+git20190403.029124da-0ubuntu1~16.04.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

OK everything looks good on Xenial too now, all autopkgtests green.

tags: added: verification-done-xenial
removed: verification-needed-xenial
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package docker.io - 18.09.5-0ubuntu1~18.10.2

---------------
docker.io (18.09.5-0ubuntu1~18.10.2) cosmic; urgency=medium

  * Version dependency on containerd.

docker.io (18.09.5-0ubuntu1~18.10.1) cosmic; urgency=medium

  * Backport to 18.10. (LP: #1824461)

 -- Michael Hudson-Doyle <email address hidden> Fri, 10 May 2019 11:01:16 +1200

Changed in docker.io (Ubuntu Cosmic):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released

The verification of the Stable Release Update for runc has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package containerd - 1.2.6-0ubuntu1~18.10.1

---------------
containerd (1.2.6-0ubuntu1~18.10.1) cosmic; urgency=medium

  * Backport to 18.10. (LP: #1824461)
  * Add Breaks: docker.io (<= 18.09.3~)

 -- Michael Hudson-Doyle <email address hidden> Tue, 16 Apr 2019 13:41:58 +1200

Changed in containerd (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package runc - 1.0.0~rc7+git20190403.029124da-0ubuntu1~18.10.1

---------------
runc (1.0.0~rc7+git20190403.029124da-0ubuntu1~18.10.1) cosmic; urgency=medium

  * Backport to 18.10. (LP: #1824461)

 -- Michael Hudson-Doyle <email address hidden> Tue, 16 Apr 2019 13:22:12 +1200

Changed in runc (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package containerd - 1.2.6-0ubuntu1~18.04.1

---------------
containerd (1.2.6-0ubuntu1~18.04.1) bionic; urgency=medium

  * Backport to Bionic. (LP: #1824461)
  * Add Breaks: docker.io (<= 18.09.3~)

 -- Michael Hudson-Doyle <email address hidden> Tue, 16 Apr 2019 13:47:19 +1200

Changed in containerd (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package runc - 1.0.0~rc7+git20190403.029124da-0ubuntu1~18.04.1

---------------
runc (1.0.0~rc7+git20190403.029124da-0ubuntu1~18.04.1) bionic; urgency=medium

  * Backport to 18.04. (LP: #1824461)

 -- Michael Hudson-Doyle <email address hidden> Tue, 16 Apr 2019 13:27:08 +1200

Changed in runc (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package docker.io - 18.09.5-0ubuntu1~18.04.2

---------------
docker.io (18.09.5-0ubuntu1~18.04.2) bionic; urgency=medium

  * Version dependency on containerd.

docker.io (18.09.5-0ubuntu1~18.04.1) bionic; urgency=medium

  * Backport to 18.04. (LP: #1824461)

 -- Michael Hudson-Doyle <email address hidden> Fri, 10 May 2019 10:59:19 +1200

Changed in docker.io (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package docker.io - 18.09.5-0ubuntu1~16.04.2

---------------
docker.io (18.09.5-0ubuntu1~16.04.2) xenial; urgency=medium

  * Version dependency on containerd.

docker.io (18.09.5-0ubuntu1~16.04.1) xenial; urgency=medium

  * Backport to 16.04 (LP: #1824461).
  * Revert "Let dh_systemd install .service file: replace .install file entry
    with symlink"
  * Build with golang-1.10-go package.
  * Relax the build dependency on debhelper.
  * Build depend on btrfs-tools, not libbtrfs-dev or btrfs-progs.
  * Re-add build-depends on dh-systemd

 -- Michael Hudson-Doyle <email address hidden> Fri, 10 May 2019 10:53:57 +1200

Changed in docker.io (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package runc - 1.0.0~rc7+git20190403.029124da-0ubuntu1~16.04.3

---------------
runc (1.0.0~rc7+git20190403.029124da-0ubuntu1~16.04.3) xenial; urgency=medium

  * Correct build dependencies on s390x.
  * Fix build on powerc (need to check for binary-arch as well as binary
    target).

runc (1.0.0~rc7+git20190403.029124da-0ubuntu1~16.04.2) xenial; urgency=medium

  * Build an empty package on powerpc that tells the user about itself on
    powerpc.

runc (1.0.0~rc7+git20190403.029124da-0ubuntu1~16.04.1) xenial; urgency=medium

  * Backport to 16.04. (LP: #1824461)
  * Relax dependency on debhelper
  * Build using golang-1.10-go.
  * Work around dh_golang in Xenial not supporting DH_GOLANG_INSTALL_EXTRA

 -- Michael Hudson-Doyle <email address hidden> Wed, 22 May 2019 13:59:55 +1200

Changed in runc (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package containerd - 1.2.6-0ubuntu1~16.04.2

---------------
containerd (1.2.6-0ubuntu1~16.04.2) xenial; urgency=medium

  * Increase runc version requirement.

containerd (1.2.6-0ubuntu1~16.04.1) xenial; urgency=medium

  * Backport to 16.04. (LP: #1824461)
  * Build with golang-1.10-go.
  * Build depend on btrfs-tools, not libbtrfs-dev or btrfs-progs.
  * Re-add Build-Depends: on dh-systemd
  * Disable race testing as go 1.10 race runtime not yet present in Xenial.
  * Add Breaks: docker.io (<= 18.09.3~)

 -- Michael Hudson-Doyle <email address hidden> Thu, 16 May 2019 15:43:29 +1200

Changed in containerd (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers